{% load static %}

<div class="card">
    <div class="profile_background_z_index">
        <div class="col-md-12 p-0">
            {% if user.profile_bg_image %}
                <div class="col-md-12" style="background:url('{{ user.profile_bg_image.url }}') no-repeat; background-size: 100%; height: 10rem; line-height: 100%"></div>
            {% else %}
                <div class="col-md-12" style="background:url('{% static 'images/default_bg_profile.png' %}') no-repeat; background-size: 100%; height: 10rem; line-height: 100%"></div>
            {% endif %}
        </div>
    </div>
    <div class="text-center avatar_in_profile_card">
        {% if user.avatar %}
            <img class="rounded-circle img-thumbnail avatar_size_limit_profile_card" src="{{ user.avatar.url }}">
        {% else %}
            <img class="rounded-circle img-thumbnail avatar_size_limit_profile_card" src="{% static 'images/default_avatar.png' %}">
        {% endif %}
    </div>
    <div class="mb-3">
        <!-- Name -->
        <div class="row">
            <div class="col-12 mt-3">
                {% if user.is_authenticated and user.username %}
                    <h5 class="card-title text-center">{{ user.username }} {{ user.last_name }}</h5>
                {% else %}
                    <h5 class="card-title text-center">No name</h5>
                {% endif %}
            </div>
        </div>
        <!-- Occupation(status)  -->
        <div class="row">
            <div class="col-12">
                {% if user.is_authenticated and user.status_user %}
                    <div class="text-center font-weight-bold ml-3 mr-3">{{ user.status_user }}</div>
                {% else %}
                    <div class="text-center font-weight-bold">No status</div>
                {% endif %}
            </div>
        </div>
        <!-- About user  -->
        <div class="row">
            <div class="col-12 card-text text-center">
                {% if user.is_authenticated and user.about_user %}
                    <div class="mt-4 ml-3 mr-3">{{ user.about_user }}</div>
                {% else %}
                    <div class="mt-4">The user has not written anything about himself.</div>
                {% endif %}
            </div>
        </div>
        <div class="row text-center mt-4">
            <div class="col-md-6 font-weight-normal">
                {% if user.is_authenticated %}
                    <!-- Button trigger Friends modal -->
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#frienfdsleModal">
                        My Friends
                    </button>
                    <!-- Modal -->
                    <div class="modal fade" id="frienfdsleModal" tabindex="-1" role="dialog" aria-labelledby="#frienfdsleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="#frienfdsleModalLabel">My Friends</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <!-- Friend's avatar icon and username-->
                                    {% for friend in user.friends.all %}
                                        <div class="friends_row">
                                            <hr>
                                            {% if friend.avatar %}
                                                <img class="rounded-circle avatar_in_post_card" src="{{ friend.avatar.url }}">
                                            {% else %}
                                                <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                                            {% endif %}
                                            <a class="ml-1 font-weight-bold" href="{{ friend.get_absolute_url }}">{{ friend|title }} {{ friend.last_name|title }}</a>
                                            <button type="submit" class="friends_btn delete_friend_independent btn btn btn-danger"
                                                    onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ friend.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ friend.id }}').attr('data-user_action','break_friendship'))">
                                                Delete
                                            </button>
                                        </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                    </div>
                    <p class="text-center font-weight-bold text-muted">
                        {{ user.friends.all.count }}
                    </p>
                {% endif %}
            </div>
            <div class="col-md-6">
                <!-- Button trigger interesting modal -->
                {% if user.is_authenticated %}
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#interestingModal">
                        My Interests
                    </button>
                    <!-- Modal -->
                    <div class="modal fade" id="interestingModal" tabindex="-1" role="dialog" aria-labelledby="interestingModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="interestingModalLabel">My Interests</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <hr class="text-left">
                                    {% for interest in user.user_interests.all %}
                                        <a href="{{ interest.get_absolute_url }}" class="btn btn-primary">{{ interest.title }}</a>
                                    {% endfor %}
                                    <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                    <p class="text-center font-weight-bold text-muted">
                        {{ user.user_interests.all.count }}
                    </p>
                {% endif %}
            </div>
        </div>
    </div>
</div>